# Class CIM_ProductElementComponent
extends CIM_Component

Indicates that the referenced ManagedElement is part of a Product.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_ProductElementComponent

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Description | string | Indicates that the referenced ManagedElement is part of a Product.
UMLPackagePath | string | CIM::Core::ProductFRU
Version | string | 2.29.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ProductElementComponent | CIM_Product
PartComponent | CIM_ProductElementComponent | CIM_ManagedElement

## Class Methods